<div class="content" *ngIf="this.game.game.event != 'GAME_FINISHED'">
  <h2>FORCA</h2>
  <p>
    <img [src]="'/assets/forca/'+this.game.game_status.guesses_left+'.png'">
  </p>
  <h4>Categoria: {{this.game.game.category}}</h4>
  <p>Vez do jogador: {{this.game.game.players_turn || 'Aguardando primeiro jogador'}}</p>

  <div style="border: 1px solid gray; width: 50%; border-radius: 25px; padding: 20px;">
    <h4>Palavra: </h4>
    <div style="display: flex; flex-direction: row; justify-content: space-between;">
      <span *ngFor="let letter of this.game.game_status.visible_word">{{letter}}</span>
    </div>
  </div>

  <div style="border: 1px solid gray; width: 50%; border-radius: 25px; padding: 20px; margin-top: 10px;">
    <h4>Chutes errados: {{this.game.game_status.guesses_left}} chutes restantes</h4>
    <div style="display: flex; flex-direction: row; justify-content: space-between;">
      <span *ngFor="let letter of this.game.game_status.wrong_guesses">{{letter}}</span>
    </div>
  </div>
  <form *ngIf="this.game.game.players_turn == this.game.user_id" autocomplete="off">
    <p>
      <mat-form-field appearance="legacy">
        <mat-label>Digite uma letra</mat-label>
        <input matInput placeholder="Digite uma letra" [formControl]="forcaControl" maxlength="1" autocomplete="off">
      </mat-form-field>
    </p>
    <p>
      <button mat-raised-button color="primary" type="button" (click)="chutar()">Enviar</button>
    </p>
  </form>
</div>

<div class="content" *ngIf="this.game.game.event == 'GAME_FINISHED'">
  <p>
    <img [src]="'/assets/forca/'+this.game.game_status.guesses_left+'.png'">
  </p>
  <h1>O jogo acabou!</h1>
  <h2 *ngIf="this.game.game_status.event == 'GAME_WON'">Você ganhou !!</h2>
  <h2 *ngIf="this.game.game_status.event == 'GAME_LOST'">Você perdeu !!</h2>
  <h2 *ngIf="this.game.game_status.event == 'GAME_TIE'">O jogo empatou</h2>

  <div style="border: 1px solid gray; width: 50%; border-radius: 25px; padding: 20px;">
    <h4>Palavra: </h4>
    <div style="display: flex; flex-direction: row; justify-content: space-between;">
      <span *ngFor="let letter of this.game.game_status.visible_word">{{letter}}</span>
    </div>
  </div>
  <div style="border: 1px solid gray; width: 50%; border-radius: 25px; padding: 20px; margin-top: 10px;">
    <h4>Chutes errados: {{this.game.game_status.guesses_left}} chutes restantes</h4>
    <div style="display: flex; flex-direction: row; justify-content: space-between;">
      <span *ngFor="let letter of this.game.game_status.wrong_guesses">{{letter}}</span>
    </div>
  </div>
  <p style="margin-top: 10px;">
    <button mat-raised-button color="warn" type="button" (click)="sair()">Finalizar</button>
  </p>
</div>
